Bug 1402962 - Gnome touchscreen close window not working
Summary: Gnome touchscreen close window not working
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-12-08 18:52 UTC by Martin
Modified: 2017-12-12 10:48 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:48:41 UTC


Attachments (Terms of Use)

Description Martin 2016-12-08 18:52:24 UTC
Unable to close the windows application using the touch screen. Example Thunderbird, Firefox, VLC cannot be closed by touch on the sceen. File browser Files works fine. After switching on Gnome Gnome xorg everything works as it should.

Working with Asus Transformer BookFlip TP200 

How reproducible:
Open up any application, try to close it by touch screen.

Actual results:
Window cannot be closed by touch on the screen.

Additional info:
Files, Application store can be closed without problems.

Comment 1 statquant 2017-03-11 21:20:30 UTC
I confirm this is still the case from a Dell XPS 9650.
On firefox closing a window is impossible with touch
Opening and closing tabs is not a problem though

Comment 2 sac 2017-04-22 18:48:40 UTC
Confirmed with Rawhide Fedora-Workstation-Live-x86_64-Rawhide-20170421.n.0 and a Dell Venue 11 tablet. Seems to affect almost all GTK applications.

However, I realized that LibreOffice is working perfectly.

Comment 3 sac 2017-04-30 11:31:37 UTC
Just noticed some weird behavior: when I boot rawhide in wayland, all window controls are not working (e.g. for firefox):

1. Afterwards I log out and login as "gnome under xorg". Surprisingly all window controls are working for firefox. 
2. However if I reboot completely and am automatically logged in afterwards as "gnome under xorg", window controls are again no longer working.

I can only repeat 1. and I can use window controls for this session if I don't reboot. Anyone who can confirm this strange behavior?

Comment 4 Fedora End Of Life 2017-11-16 19:00:03 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:48:41 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.